Package org.jboss.resteasy.core

## Class SynchronousExecutionContext.SynchronousAsynchronousResponse

- java.lang.Object
- - org.jboss.resteasy.core.AbstractAsynchronousResponse
  - - org.jboss.resteasy.core.SynchronousExecutionContext.SynchronousAsynchronousResponse

- All Implemented Interfaces:
    `javax.ws.rs.container.AsyncResponse`, `ResourceMethodInvokerAwareResponse`, `ResteasyAsynchronousResponse`
  Enclosing class:
    SynchronousExecutionContext

      protected class SynchronousExecutionContext.SynchronousAsynchronousResponse
      extends AbstractAsynchronousResponse

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `cancelled` |

    - ### Fields inherited from class org.jboss.resteasy.core.AbstractAsynchronousResponse

      `annotations, asyncWriterInterceptors, completionCallbacks, contextDataMap, dispatcher, method, request, response, responseFilters, timeoutHandler, writerInterceptors`

    - ### Fields inherited from interface javax.ws.rs.container.AsyncResponse

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynchronousAsynchronousResponse​(SynchronousDispatcher dispatcher, HttpRequest request, HttpResponse response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `cancel()` |
    `boolean` | `cancel​(int retryAfter)` |
    `boolean` | `cancel​(Date retryAfter)` |
    `void` | `complete()` |
    `void` | `initialRequestThreadFinished()` | Callback by the initial http request thread.
    `boolean` | `isCancelled()` |
    `boolean` | `isDone()` |
    `boolean` | `isSuspended()` |
    `boolean` | `resume​(Object entity)` |
    `boolean` | `resume​(Throwable exc)` |
    `boolean` | `setTimeout​(long time, TimeUnit unit)` |

    - ### Methods inherited from class org.jboss.resteasy.core.AbstractAsynchronousResponse

      `completionCallbacks, getAnnotations, getAsyncWriterInterceptors, getMethod, getResponseFilters, getWriterInterceptors, internalResume, internalResume, internalResume, internalResume, register, register, register, register, setAnnotations, setMethod, setResponseFilters, setTimeoutHandler, setWriterInterceptors`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cancelled

          protected boolean cancelled

  - ### Constructor Detail

    - #### SynchronousAsynchronousResponse

          public SynchronousAsynchronousResponse​(SynchronousDispatcher dispatcher,
                                                 HttpRequest request,
                                                 HttpResponse response)

  - ### Method Detail

    - #### complete

          public void complete()

    - #### resume

          public boolean resume​(Object entity)

    - #### resume

          public boolean resume​(Throwable exc)
                         throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### initialRequestThreadFinished

          public void initialRequestThreadFinished()

      Description copied from interface: `ResteasyAsynchronousResponse`
      Callback by the initial http request thread. It is used to help simulate suspend/resume asynchronous semantics in containers that do not support asychronous HTTP. This method is a no-op in environments that support async HTTP.

    - #### setTimeout

          public boolean setTimeout​(long time,
                                    TimeUnit unit)
                             throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### cancel

          public boolean cancel()

    - #### cancel

          public boolean cancel​(int retryAfter)

    - #### cancel

          public boolean cancel​(Date retryAfter)

    - #### isSuspended

          public boolean isSuspended()

    - #### isCancelled

          public boolean isCancelled()

    - #### isDone

          public boolean isDone()